module ModTest9A interface;

export
  ModTestA = (i);

var
  i: integer;


end.


module ModTest9A implementation;

end.


module ModTest9B interface;

export
  ModTestB = (i);

var
  i: integer;


end.


module ModTest9B implementation;

end.


program Test(output);

import
  ModTestA;
  ModTestB;  (* WRONG: `i' declared two times. *)

(* BUG: Identifiers imported twice are not recognized. *)

begin
  writeln('failed');
end.
